Subject: rev 19 - trunk/lisp

From: [email-masked]
Date: Wed, 21 Aug 2002 22:50:24 -0500

Author: kfogel
Date: Wed, 21 Aug 2002 22:50:20 -0500
New Revision: 19

Modified:
   trunk/lisp/gene-display.el
Log:
Fix Loredana's color bug:

* lisp/gene-display.el 
  (gene-make-glyph): Glyphs are wider in the new millenium.

Here is the original bug report:

   From: Loredana Lo Conte <[email-masked]>
   Subject: Re: Ale rev-9 (PS)
   To: [email-masked]
   Date: Wed, 21 Aug 2002 23:45:36 +0100 (BST)
   
   ale demo-data/demo.gb (or any other file)
   then click on settings (menu bar)
   then click on anything but uncolored
   What I get is wrong in all cases, but varies slightly.
   
   [...]

   Forgot: changing fonts (under settings) works fine, it is changing
   colors that causes display problems (mainly missing characters or
   empty boxes, but with several variations, depending on which color set
   you choose).

Modified: trunk/lisp/gene-display.el
==============================================================================
--- trunk/lisp/gene-display.el	(original)
+++ trunk/lisp/gene-display.el	Wed Aug 21 22:50:24 2002
@@ -111,10 +111,10 @@
 ;; Mmm, thanks for writing this, Jim.
 ;; I'm embarrassed to admit that I did.  You'd think Emacs would provide this
 ;;   in a library somewhere, but no, we'll just hard-code the fact that the
-;;   lower eight bits of a glyph code are the character, while the upper ...
+;;   lower nineteen bits of a glyph code are the character, while the upper...
 (defun gene-make-glyph (character face)
   "Return a glyph code which displays CHARACTER using FACE."
-  (+ character (lsh (face-id face) 8)))
+  (+ character (lsh (face-id face) 19)))

 (defun gene-color-character-internal